diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_appboardutils_j721e_evm.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_appboardutils_j721e_evm.c
index 54c5349..3b0884c 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_appboardutils_j721e_evm.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_appboardutils_j721e_evm.c
@@ -217,7 +217,7 @@ static void EnetBoard_boardInit(Board_initCfg *boardCfg)
     }
 #endif
 }
-
+extern void EnetBoard_configTorrentClks(void);
 /* Hack to run EthFw with Linux
  * We do only limited pinmux configuration and also don't configure RMII and MDIO board muxes
  * as it causes conflict with Linux in using Main domain I2C0. If we need any of configuration on I2c
@@ -232,7 +232,9 @@ void EnetBoard_initEthFw(void)
     uint32_t clkModuleId[] = { TISCI_DEV_DDR0,
                                TISCI_DEV_TIMER12,
                                TISCI_DEV_TIMER13,
-                               TISCI_DEV_UART2, };
+                               TISCI_DEV_UART1,
+							   TISCI_DEV_GPIO0,
+							    };
 
     appFlags = 0U;
     moduleCnt = ENET_ARRAYSIZE(clkModuleId);
@@ -270,6 +272,8 @@ void EnetBoard_initEthFw(void)
     status = Board_control(BOARD_CTRL_CMD_SET_SOM_UART_MUX, NULL);
     EnetAppUtils_assert(status == BOARD_SOK);
 #endif
+    EnetBoard_configTorrentClks();
+    EnetAppUtils_print("=====ETHDBG=====EnetBoard_initEthFw: EnetBoard_configTorrentClks\n");
 
 #if !defined(ENETAPPUTILS_BYPASS_I2C) && defined(BUILD_MCU2_0)
     /* Configure SGMII/QSGMII expansion board
@@ -290,6 +294,7 @@ void EnetBoard_initEthFw(void)
     if (Board_detectBoard(BOARD_ID_ENET))
     {
         status = Board_serdesCfgQsgmii();
+        EnetAppUtils_print("=====ETHDBG=====EnetBoard_initEthFw->Board_serdesCfgQsgmii: status = %d\n", status);
         EnetAppUtils_assert(status == BOARD_SOK);
     }
 #endif
@@ -307,87 +312,29 @@ uint32_t EnetBoard_getPhyAddr(Enet_Type enetType,
             phyAddr = 0x00U;
             break;
 
-        case ENET_CPSW_5G:
-            switch (portNum)
-            {
-                case ENET_MAC_PORT_1:
-                    /* QSGMII port */
-                    phyAddr = 16U;
-                    break;
-
-                case ENET_MAC_PORT_2:
-                    /* Use RGMII port in GESI board when QSGMII is disabled */
-#if defined(ENETAPPUTILS_BYPASS_QSGMII)
-                    /* RGMII port */
-                    phyAddr = 0U;
-#else
-                    /* QSGMII port */
-                    phyAddr = 17U;
-#endif
-                    break;
-
-                case ENET_MAC_PORT_3:
-                    /* QSGMII port */
-                    phyAddr = 18U;
-                    break;
-
-                case ENET_MAC_PORT_4:
-                    /* QSGMII port */
-                    phyAddr = 19U;
-                    break;
-
-                default:
-                    EnetAppUtils_assert(false);
-                    break;
-            }
-
-            break;
-
         case ENET_CPSW_9G:
             switch (portNum)
             {
-                case ENET_MAC_PORT_1:
-                    /* RGMII port */
-                    phyAddr = 12U;
-                    break;
-
                 case ENET_MAC_PORT_3:
                     /* RGMII port */
-                    phyAddr = 0U;
+                    phyAddr = 4U;
                     break;
 
                 case ENET_MAC_PORT_4:
                     /* RGMII port */
-                    phyAddr = 3U;
-                    break;
-
-                case ENET_MAC_PORT_8:
-                    /* RGMII port */
-                    phyAddr = 15U;
+                    phyAddr = 5U;
                     break;
-
-                case ENET_MAC_PORT_2:
-                    /* QSGMII port */
-                    phyAddr = 16U;
-                    break;
-
                 case ENET_MAC_PORT_5:
-                    /* QSGMII port */
-                    phyAddr = 17U;
-                    break;
-
-                case ENET_MAC_PORT_6:
-                    /* QSGMII port */
-                    phyAddr = 18U;
-                    break;
-
-                case ENET_MAC_PORT_7:
-                    /* QSGMII port */
-                    phyAddr = 19U;
+                    /* RGMII port */
+                    phyAddr = ENETPHY_INVALID_PHYADDR;
+                    break;        
+                case ENET_MAC_PORT_8:
+                    /* SGMII port */
+                    phyAddr = 3U;
                     break;
 
                 default:
-                    EnetAppUtils_assert(false);
+                	phyAddr = ENETPHY_INVALID_PHYADDR;
                     break;
             }
 
@@ -401,48 +348,28 @@ uint32_t EnetBoard_getPhyAddr(Enet_Type enetType,
     return phyAddr;
 }
 
-uint32_t EnetBoard_getSgmiiPhyAddr(void)
-{
-    /* Both Q/SGMII DB and GESI board use MAC port 2, so we can't use generic EnetBoard_getPhyAddr
-     * function */
-    return 10U;
-}
-
-uint32_t EnetBoard_getRmiiPhyAddr(void)
-{
-    /* Both QSGMII DB and GESI board use MAC port 7, so we can't use generic EnetBoard_getPhyAddr
-     * function */
-    return 23U;
-}
-
 void EnetBoard_setPhyConfigSgmii(Enet_MacPort portNum,
                                          CpswMacPort_Cfg *macCfg,
                                          EnetMacPort_Interface *interface,
                                          EnetPhy_Cfg *phyCfg)
 {
-    Board_STATUS boardStatus;
+    Board_STATUS boardStatus = 0;
     Enet_Type enetType;
-    uint32_t instId;
 
     /* Override the ENET control set by board lib */
-#if defined (SOC_J721E)
-    EnetAppUtils_assert(portNum == ENET_MAC_PORT_2);
+
     enetType = ENET_CPSW_9G;
-    instId   = 0U;
-#elif defined (SOC_J7200)
-    EnetAppUtils_assert(portNum == ENET_MAC_PORT_1);
-    enetType = ENET_CPSW_5G;
-    instId   = 0U;
-#endif
+
+
 
     /* Override the ENET control set by board lib */
-    EnetBoard_setEnetControl(enetType, instId, portNum, SGMII);
+    EnetBoard_setEnetControl(enetType, 0, portNum, SGMII);
 
     boardStatus = Board_serdesCfgSgmii();
-    EnetAppUtils_assert(boardStatus == BOARD_SOK);
+    EnetAppUtils_print("=====ETHDBG=====EnetBoard_setPhyConfigSgmii: Board_serdesCfgSgmii status=%d\n", boardStatus);
 
     EnetPhy_initCfg(phyCfg);
-    phyCfg->phyAddr = EnetBoard_getSgmiiPhyAddr();
+    phyCfg->phyAddr = EnetBoard_getPhyAddr(enetType, portNum);
     phyCfg->skipExtendedCfg = true;
 
     /* RGMII interface type */
@@ -459,64 +386,62 @@ void EnetBoard_setPhyConfigQsgmii(Enet_Type enetType,
                                           EnetMacPort_Interface *interface,
                                           EnetPhy_Cfg *phyCfg)
 {
-    Enet_MacPort qsgmiiMain;
-#if !defined(ENETAPPUTILS_BYPASS_I2C)
-    bool isAlpha = false;
-
-    /*
-     * Disable QSGMII on alpha revision EVMs due to ADASVISION-3869 cpsw - mdio
-     * instability for QSGMII PHYs on alpha EVM. Issue is resolved in the Beta
-     * HW revision.
-     */
-    isAlpha = Board_isAlpha(BOARD_ID_CP);
-
-    if (isAlpha)
-    {
-        EnetAppUtils_print("QSGMII DB not supported on alpha revision of EVM\n");
-        EnetAppUtils_assert(false);
-    }
-#endif
-
-#if defined (SOC_J721E)
-    /* QSGMII PHYs are routed as follows in QUAD PORT ETH EXP board:
-     *  MAC port 1 = QSGMII MAIN
-     *  MAC port 4 = QSGMII SUB
-     *  MAC port 5 = QSGMII SUB
-     *  MAC port 6 = QSGMII SUB
-     */
-    EnetAppUtils_assert((portNum == ENET_MAC_PORT_2) ||
-                        (portNum == ENET_MAC_PORT_5) ||
-                        (portNum == ENET_MAC_PORT_6) ||
-                        (portNum == ENET_MAC_PORT_7));
-
-    qsgmiiMain = ENET_MAC_PORT_2;
-#elif defined (SOC_J7200)
-    EnetAppUtils_assert((portNum == ENET_MAC_PORT_1) ||
-                        (portNum == ENET_MAC_PORT_2) ||
-                        (portNum == ENET_MAC_PORT_3) ||
-                        (portNum == ENET_MAC_PORT_4));
-
-    qsgmiiMain = ENET_MAC_PORT_1;
-#endif
-
-    EnetPhy_initCfg(phyCfg);
-    phyCfg->phyAddr = EnetBoard_getPhyAddr(enetType, portNum);
-
-    /* QSGMII ports */
-    /* In QSGMII config each port is independent port just going over one link so
-     * we need set up each port just like SGMII ports - autoneg, mac control etc.*/
-    interface->layerType    = ENET_MAC_LAYER_GMII;
-    interface->variantType  = ENET_MAC_VARIANT_NONE;
-    macCfg->sgmiiMode = ENET_MAC_SGMIIMODE_SGMII_WITH_PHY;
-
-    if (portNum == qsgmiiMain)
-    {
-        interface->sublayerType = ENET_MAC_SUBLAYER_QUAD_SERIAL_MAIN;
-    }
-    else
-    {
-        interface->sublayerType = ENET_MAC_SUBLAYER_QUAD_SERIAL_SUB;
-    }
+//    bool isAlpha = false;
+//    Enet_MacPort qsgmiiMain;
+//
+//    /*
+//     * Disable QSGMII on alpha revision EVMs due to ADASVISION-3869 cpsw - mdio
+//     * instability for QSGMII PHYs on alpha EVM. Issue is resolved in the Beta
+//     * HW revision.
+//     */
+//    isAlpha = Board_isAlpha(BOARD_ID_CP);
+//
+//    if (isAlpha)
+//    {
+//        EnetAppUtils_print("QSGMII DB not supported on alpha revision of EVM\n");
+//        EnetAppUtils_assert(false);
+//    }
+//
+//#if defined (SOC_J721E)
+//    /* QSGMII PHYs are routed as follows in QUAD PORT ETH EXP board:
+//     *  MAC port 1 = QSGMII MAIN
+//     *  MAC port 4 = QSGMII SUB
+//     *  MAC port 5 = QSGMII SUB
+//     *  MAC port 6 = QSGMII SUB
+//     */
+//    EnetAppUtils_assert((portNum == ENET_MAC_PORT_2) ||
+//                        (portNum == ENET_MAC_PORT_5) ||
+//                        (portNum == ENET_MAC_PORT_6) ||
+//                        (portNum == ENET_MAC_PORT_7));
+//
+//    qsgmiiMain = ENET_MAC_PORT_2;
+//#elif defined (SOC_J7200)
+//    EnetAppUtils_assert((portNum == ENET_MAC_PORT_1) ||
+//                        (portNum == ENET_MAC_PORT_2) ||
+//                        (portNum == ENET_MAC_PORT_3) ||
+//                        (portNum == ENET_MAC_PORT_4));
+//
+//    qsgmiiMain = ENET_MAC_PORT_1;
+//#endif
+//
+//    EnetPhy_initCfg(phyCfg);
+//    phyCfg->phyAddr = EnetBoard_getPhyAddr(enetType, portNum);
+//
+//    /* QSGMII ports */
+//    /* In QSGMII config each port is independent port just going over one link so
+//     * we need set up each port just like SGMII ports - autoneg, mac control etc.*/
+//    interface->layerType    = ENET_MAC_LAYER_GMII;
+//    interface->variantType  = ENET_MAC_VARIANT_NONE;
+//    macCfg->sgmiiMode = ENET_MAC_SGMIIMODE_SGMII_WITH_PHY;
+//
+//    if (portNum == qsgmiiMain)
+//    {
+//        interface->sublayerType = ENET_MAC_SUBLAYER_QUAD_SERIAL_MAIN;
+//    }
+//    else
+//    {
+//        interface->sublayerType = ENET_MAC_SUBLAYER_QUAD_SERIAL_SUB;
+//    }
 }
 
 void EnetBoard_setPhyConfigRmii(Enet_MacPort portNum,
@@ -530,7 +455,7 @@ void EnetBoard_setPhyConfigRmii(Enet_MacPort portNum,
     EnetBoard_setEnetControl(ENET_CPSW_9G, 0U/* instId */, portNum, RMII);
 
     EnetPhy_initCfg(phyCfg);
-    phyCfg->phyAddr = EnetBoard_getRmiiPhyAddr();
+    phyCfg->phyAddr = EnetBoard_getPhyAddr(ENET_CPSW_9G, portNum);
     phyCfg->skipExtendedCfg = false;
 
     /* Mac port 7 on GESI board is RMII port */
@@ -546,32 +471,8 @@ void EnetBoard_setPhyConfigRgmii(Enet_Type enetType,
                                          EnetPhy_Cfg *phyCfg)
 {
     Dp83867_Cfg extendedCfg;
-
-#if defined (SOC_J721E)
-    /* RGMII PHYs can be used on the following MAC ports as per board library pinmux:
-     *   GESI board: 0, 1, 2, 3
-     *  SGMII board: 2, 3, 6, 7
-     * QSGMII board: 0, 2, 3, 7
-     */
-    EnetAppUtils_assert((portNum == ENET_MAC_PORT_1) ||
-                        (portNum == ENET_MAC_PORT_2) ||
-                        (portNum == ENET_MAC_PORT_3) ||
-                        (portNum == ENET_MAC_PORT_4) ||
-                        (portNum == ENET_MAC_PORT_7) ||
-                        (portNum == ENET_MAC_PORT_8));
-#elif defined (SOC_J7200)
-    if (enetType == ENET_CPSW_2G)
-    {
-        EnetAppUtils_assert(portNum == ENET_MAC_PORT_1);
-    }
-    else if (enetType == ENET_CPSW_5G)
-    {
-        EnetAppUtils_assert(portNum == ENET_MAC_PORT_2);
-        /* Override the ENET control set by board lib */
-        EnetBoard_setEnetControl(enetType, 0U/* instId */, portNum, RGMII);
-    }
-#endif
-
+	EnetBoard_setEnetControl(enetType, 0U/* instId */, portNum, RGMII);
+    EnetAppUtils_print("=====ETHDBG=====EnetBoard_setPhyConfigRgmii::call EnetBoard_setEnetControl\n");
     EnetPhy_initCfg(phyCfg);
 
 #if defined(SOC_J7200)
@@ -580,18 +481,6 @@ void EnetBoard_setPhyConfigRgmii(Enet_Type enetType,
     phyCfg->phyAddr = EnetBoard_getPhyAddr(enetType, portNum);
 #endif
 
-    /* DP83867 specific configuration */
-    Dp83867_initCfg(&extendedCfg);
-    extendedCfg.txClkShiftEn  = true;
-    extendedCfg.rxClkShiftEn  = true;
-    extendedCfg.txFifoDepth   = 4U;
-    extendedCfg.idleCntThresh = 4U; /* Improves short cable performance */
-    extendedCfg.impedanceInMilliOhms = 35000; /* 35 ohms */
-    extendedCfg.gpio0Mode     = DP83867_GPIO0_LED3;
-    extendedCfg.ledMode[1]    = DP83867_LED_LINKED_100BTX;
-    extendedCfg.ledMode[2]    = DP83867_LED_RXTXACT;
-    extendedCfg.ledMode[3]    = DP83867_LED_LINKED_1000BT;
-
     if ((enetType == ENET_CPSW_9G) || (enetType == ENET_CPSW_5G))
     {
         extendedCfg.txDelayInPs      = 2750U; /* 2.75 ns */
@@ -606,6 +495,10 @@ void EnetBoard_setPhyConfigRgmii(Enet_Type enetType,
     interface->layerType    = ENET_MAC_LAYER_GMII;
     interface->sublayerType = ENET_MAC_SUBLAYER_REDUCED;
     interface->variantType  = ENET_MAC_VARIANT_NONE;
+    if(portNum == ENET_MAC_PORT_5) 
+    {
+        interface->variantType = ENET_MAC_VARIANT_FORCED;
+    }
 }
 
 void EnetBoard_setPhyConfig(Enet_Type enetType,
@@ -626,31 +519,15 @@ void EnetBoard_setPhyConfig(Enet_Type enetType,
                                                 phyCfg);
             break;
 
-        case ENET_CPSW_5G:
-            /* Use RGMII port in GESI board when QSGMII is disabled */
-#if defined(ENETAPPUTILS_BYPASS_QSGMII)
-            if (ENET_MAC_PORT_2 == portNum)
-            {
-                EnetBoard_setPhyConfigRgmii(enetType,
-                                                    portNum,
-                                                    macCfg,
-                                                    interface,
-                                                    phyCfg);
-            }
-#else
-            EnetBoard_setPhyConfigQsgmii(enetType,
-                                                 portNum,
-                                                 macCfg,
-                                                 interface,
-                                                 phyCfg);
-#endif
-            break;
-
         case ENET_CPSW_9G:
-            if ( ENET_MAC_PORT_1 == portNum ||
+            if (ENET_MAC_PORT_1 == portNum ||
+                 ENET_MAC_PORT_2 == portNum ||
                  ENET_MAC_PORT_3 == portNum ||
                  ENET_MAC_PORT_4 == portNum ||
-                 ENET_MAC_PORT_8 == portNum )
+
+				 ENET_MAC_PORT_6 == portNum ||
+				 ENET_MAC_PORT_7 == portNum
+				 )
             {
                 EnetBoard_setPhyConfigRgmii(enetType,
                                                     portNum,
@@ -658,13 +535,16 @@ void EnetBoard_setPhyConfig(Enet_Type enetType,
                                                     interface,
                                                     phyCfg);
             }
+            else if (ENET_MAC_PORT_5 == portNum)
+            {
+                EnetAppUtils_setNoPhyCfgRgmii(interface, phyCfg);
+            }
             else
             {
-                EnetBoard_setPhyConfigQsgmii(enetType,
-                                                     portNum,
-                                                     macCfg,
-                                                     interface,
-                                                     phyCfg);
+                EnetBoard_setPhyConfigSgmii(portNum,
+                                                    macCfg,
+                                                    interface,
+                                                    phyCfg);
             }
             break;
 
@@ -710,16 +590,10 @@ void EnetBoard_setEnetControl(Enet_Type enetType,
         case ENET_CPSW_2G:
             status = Board_cpsw2gMacModeConfig(modeSel);
             break;
-#if defined (SOC_J7200)
-        case ENET_CPSW_5G:
-            status = Board_cpsw5gEthConfig(portNum, modeSel);
-            break;
-#endif
-#if defined (SOC_J721E)
         case ENET_CPSW_9G:
             status = Board_cpsw9gEthConfig(portNum, modeSel);
+            EnetAppUtils_print("=====ETHDBG=====Board_cpsw9gEthConfig(portNum=%u, modesel=%u)\n", portNum, modeSel);
             break;
-#endif
         default:
             break;
     }
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux.c
index 0070c2b..cc72006 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux.c
@@ -86,7 +86,7 @@ int32_t EnetBoard_configEthFwPinmux (void)
     /* Overwrite the ICSSG RGMII muc configurations with CPSW */
     /* Below is CPSW9G QSGMII pinmux configuration,
        RGMII Ports - 1,3,4,8. QSGMII ports - 2,5,6,7 */
-    Board_pinmuxUpdate(gJ721E_MainPinmuxDataGesiCpsw9gQsgmii,
+    Board_pinmuxUpdate(gJ721E_MainPinmuxDataGesiCpsw9g,
                        BOARD_SOC_DOMAIN_MAIN);
 #elif defined(BUILD_MCU2_0) && defined(SOC_J7200)
     /* Below is CPSW5G QSGMII pinmux configuration,
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux_j721e_data.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux_j721e_data.c
index f4d2f90..da54344 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux_j721e_data.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/examples/utils/V1/enet_board_pinmux_j721e_data.c
@@ -102,6 +102,31 @@ static pinmuxModuleCfg_t gDebugssPinCfg[] =
 
 static pinmuxPerCfg_t gGpio0PinCfg[] =
 {
+	/* MyGPIO1 -> GPIO0_73 -> AA25 */
+	{
+		PIN_PRG0_PRU1_GPO10, PIN_MODE(7) | \
+		((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
+	},
+	/* MyGPIO1 -> GPIO0_11 -> AD21 */
+	{
+		PIN_PRG1_PRU0_GPO10, PIN_MODE(7) | \
+		((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
+	},
+	/* MyGPIO1 -> GPIO0_35 -> AH26 */
+	{
+		PIN_PRG1_PRU1_GPO14, PIN_MODE(7) | \
+		((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
+	},
+	/* MyGPIO1 -> GPIO0_10 -> AG20 */
+	{
+		PIN_PRG1_PRU0_GPO9, PIN_MODE(7) | \
+		((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
+	},
+	/* MyGPIO1 -> GPIO0_33 -> AH25 */
+	{
+		PIN_PRG1_PRU1_GPO12, PIN_MODE(7) | \
+		((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
+	},
     /* MySYSTEM1 -> GPIO0_0 -> AC18 */
     {
         PIN_EXTINTN, PIN_MODE(7) | \
@@ -204,10 +229,35 @@ static pinmuxPerCfg_t gGpio2PinCfg_phyReset[] =
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
 
-    /* MyGPIO1 -> GPIO0_96 -> T23 */
+    /* PHY0_RESET -> GPIO0_33 -> AH25 */
     {
-        PIN_RGMII5_RD0, PIN_MODE(7) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+        PIN_PRG1_PRU1_GPO12, PIN_MODE(7) | \
+		((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* PHY1_RESET -> GPIO0_34 -> AG25 */
+    {
+        PIN_PRG1_PRU1_GPO13, PIN_MODE(7) | \
+		((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* PHY2_RESET -> GPIO0_35 -> AH26 */
+    {
+        PIN_PRG1_PRU1_GPO14, PIN_MODE(7) | \
+		((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* PHY3_RESET -> GPIO0_36 -> AJ27 */
+    {
+        PIN_PRG1_PRU1_GPO15, PIN_MODE(7) | \
+		((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* PHY4_RESET -> GPIO0_41 -> AD19 */
+    {
+        PIN_PRG1_MDIO0_MDIO, PIN_MODE(7) | \
+		((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* MyGPIO1 -> GPIO0_12 -> AF24 */
+    {
+        PIN_PRG1_PRU0_GPO11, PIN_MODE(7) | \
+        ((PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE & ~PIN_PULL_DIRECTION))
     },
     {PINMUX_END}
 };
@@ -281,17 +331,17 @@ static pinmuxModuleCfg_t gSystemPinCfg[] =
     {0, TRUE, gSystem0PinCfg},
     {PINMUX_END}
 };
-
-static pinmuxPerCfg_t gUart2PinCfg[] =
+//////////////////////lyl///////////////////
+static pinmuxPerCfg_t gUart1PinCfg[] =
 {
-    /* MyUART2 -> UART2_RXD -> Y1 */
+    /* MyUART1 -> UART1_RXD -> AA4 */
     {
-        PIN_SPI1_CLK, PIN_MODE(3) | \
+    	PIN_UART1_RXD, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyUART2 -> UART2_TXD -> Y5 */
+    /* MyUART1 -> UART1_TXD -> AB4 */
     {
-        PIN_SPI1_D0, PIN_MODE(3) | \
+    	PIN_UART1_TXD, PIN_MODE(0) | \
         ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
     },
     {PINMUX_END}
@@ -299,7 +349,7 @@ static pinmuxPerCfg_t gUart2PinCfg[] =
 
 static pinmuxModuleCfg_t gUartPinCfg[] =
 {
-    {2, TRUE, gUart2PinCfg},
+    {1, TRUE, gUart1PinCfg},
     {PINMUX_END}
 };
 
